@import "~xxllnc-formio-components/dist/types/components/customComponents/customComponents.scss";

.centerText {
  width: 100%;
  height: 100%;
}

.centerText p {
  text-align: center;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.loading {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.thankyou-page {
  display: flex;
  flex-direction: column;
  padding-top: 10%;
  align-items: center;

  h1 {
    font-size: 2.5rem;
    font-weight: 500;
  }

  p {
    font-weight: 500;
    text-align: center;
  }

  .btn {
    width: 300px;
  }
}

.wizard-page {
  padding-bottom: 8px;
}

.digIdButton {
  .btn {
    padding: 1rem 1rem 1rem 1rem;
    background: #d46900;
    min-width: 300px;
    width: 40vw;
    line-height: 35px;
  }

  .btn:before {
    display: block;
    content: ' ';
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 150 150'%3E%3Cpath d='M136 150H14c-8 0-14-6-14-14V14C0 6 6 0 14 0h122c8 0 14 6 14 14v122c0 8-6 14-14 14z'/%3E%3Cpath d='M17 115V79h10c12 0 19 6 19 17 0 13-8 19-19 19H17zm6-6h4c7 0 12-4 12-13 0-8-5-12-13-12h-3v25zM54 77c3 0 4 1 4 3s-1 4-4 4c-2 0-3-2-3-4s1-3 3-3zm3 38h-6V88h6v27zM72 109h6c6 0 9 3 9 7 0 5-4 9-14 9-8 0-11-2-11-7 0-2 1-4 4-6l-2-3c0-2 1-3 3-4-3-2-4-4-4-8 0-6 4-10 11-10l4 1h9v4h-4l2 5c0 6-4 9-12 9h-3l-1 1c0 2 1 2 3 2zm1 12c6 0 8-2 8-4s-1-2-3-2l-9-1-2 3c0 2 2 4 6 4zm6-24c0-3-2-5-5-5s-5 1-5 5 1 5 5 5c3 0 5-1 5-5z' fill='%23fff'/%3E%3Cpath d='M94 77c2 0 3 1 3 3s-1 4-3 4c-3 0-4-2-4-4s1-3 4-3zm3 38h-6V88h6v27zM105 115V79h10c12 0 18 6 18 17 0 13-7 19-19 19h-9zm6-6h4c7 0 12-4 12-13 0-8-5-12-13-12h-3v25z' fill='%23E17000'/%3E%3C/svg%3E%0A");
    background-size: 35px 35px;
    height: 35px;
    width: 35px;
    float: left;
  }
}

@media only screen and (max-width: 620px) {
  .thankyou-page {
    padding-top: 22%;

    .btn {
      width: 80%;
    }
  }
}
